# $Revision: 1.24 $, $Date: 2011/11/04 17:38:32 $
# there are sphinx.spec, sphinx2.spec...  Sphinx.spec is too confusing
# therefore the name for this package is sphinx-pdg (pdg - python
# documentation generator)
Summary:	Sphinx - Python documentation generator
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona
Name:		sphinx-pdg
Version:	1.1.2
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/S/Sphinx/Sphinx-%{version}.tar.gz
# Source0-md5:	b65a5d5d6172f3dcfefb4770ec63926e
URL:		http://sphinx.pocoo.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-distribute
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-Sphinx = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package 3
Summary:	Sphinx Python documentation generator (Python 3 version)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (wersja dla Pythona 3)
Group:		Development/Languages/Python
Requires:	python3-Sphinx = %{version}-%{release}

%description 3
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description 3 -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package -n python-Sphinx
Summary:	Sphinx Python documentation generator (Python 2.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 2.x)
Group:		Development/Languages/Python
Requires:	python-distribute
Requires:	python-docutils >= 0.7
Requires:	python-jinja2 >= 2.3
Requires:	python-pygments >= 1.2
%pyrequires_eq	python-modules
Conflicts:	sphinx-pdg < 1.0.7-2

%description -n python-Sphinx
Sphinx Python documentation generator (Python 2.x modules).

For command-line utilities, see sphinx-pdg package.

%description -n python-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 2.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg.

%package -n python3-Sphinx
Summary:	Sphinx Python documentation generator (Python 3.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 3.x)
Group:		Development/Languages/Python
Requires:	python3-distribute
Requires:	python3-docutils >= 0.8
Requires:	python3-jinja2 >= 2.3
Requires:	python3-pygments >= 1.2
Conflicts:	sphinx-pdg-3 < 1.0.7-2

%description -n python3-Sphinx
Sphinx Python documentation generator (Python 3.x modules).

For command-line utilities, see sphinx-pdg-3 package.

%description -n python3-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 3.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg-3.

%prep
%setup -q -n Sphinx-%{version}

%build
%{__python} setup.py build -b build-2
rm sphinx/__init__.pyc
%{__python3} setup.py build -b build-3
rm -r sphinx/__pycache__

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py build -b build-3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
rm -r sphinx/__pycache__

for f in $RPM_BUILD_ROOT%{_bindir}/*; do
	mv "${f}" "${f}-3"
done

%{__python} setup.py build -b build-2 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
rm sphinx/__init__.pyc

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README TODO
%attr(755,root,root) %{_bindir}/sphinx-autogen
%attr(755,root,root) %{_bindir}/sphinx-apidoc
%attr(755,root,root) %{_bindir}/sphinx-build
%attr(755,root,root) %{_bindir}/sphinx-quickstart

%files 3
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README TODO
%attr(755,root,root) %{_bindir}/sphinx-autogen-3
%attr(755,root,root) %{_bindir}/sphinx-apidoc-3
%attr(755,root,root) %{_bindir}/sphinx-build-3
%attr(755,root,root) %{_bindir}/sphinx-quickstart-3

%files -n python-Sphinx
%defattr(644,root,root,755)
%{py_sitescriptdir}/sphinx
%{py_sitescriptdir}/Sphinx-%{version}-py*.egg-info

%files -n python3-Sphinx
%defattr(644,root,root,755)
%{py3_sitescriptdir}/sphinx
%{py3_sitescriptdir}/Sphinx-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sphinx-pdg.spec,v $
Revision 1.24  2011/11/04 17:38:32  qboosh
- updated to 1.1.2

Revision 1.23  2011/10/12 06:15:24  wiget
- simplify python3 build
- BR for python3 version

Revision 1.22  2011/10/11 16:51:13  qboosh
- updated docutils/jinja2/pygments dependencies

Revision 1.21  2011/10/10 22:03:10  wiget
- up to 1.1

Revision 1.20  2011/09/26 15:25:30  qboosh
- updated to 1.0.8

Revision 1.19  2011/09/13 19:24:47  qboosh
- separated python*-Sphinx modules (for other python packages using Sphinx API)
- release 2

Revision 1.18  2011/09/13 18:46:52  qboosh
- pl
- changed prep not to mess outside builddir
- killed subshells in build/install (they hide build failures)
- more docs (CHANGES EXAMPLES LICENSE)

Revision 1.17  2011/08/14 23:16:53  wrobell
- added py3k package (does not work yet, seems sphinx 1.1 is needed)

Revision 1.16  2011/06/13 18:19:13  wrobell
- ver. 1.0.7

Revision 1.15  2010/11/12 15:28:15  wiget
- 1.0.5

Revision 1.14  2010/07/08 08:47:28  arekm
- release 3

Revision 1.13  2010/05/14 00:55:06  sparky
- R: python-distribute
- release: 2

Revision 1.12  2010/03/26 19:28:48  wrobell
- ver. 0.6.5

Revision 1.11  2010/02/06 01:15:10  sparky
- BR: python-modules, python-setuptools, rpm-pythonprov

Revision 1.10  2010/02/05 20:11:33  wrobell
- ver. 0.6.4

Revision 1.9  2009/09/16 17:41:51  wrobell
- ver. 0.6.3

Revision 1.8  2009/06/29 10:22:47  patrys
- uses jinja2

Revision 1.7  2009/06/29 10:20:43  patrys
- 0.6.2

Revision 1.6  2008/12/20 15:58:14  wrobell
- ver. 0.5.1

Revision 1.5  2008/12/05 02:15:07  wrobell
- ver. 0.5

Revision 1.4  2008/11/16 14:54:46  wrobell
- rel. 2

Revision 1.3  2008/10/16 19:48:11  wrobell
- fixed installation requirements

Revision 1.2  2008/10/16 19:09:24  wrobell
- cleanup

Revision 1.1  2008/10/16 19:02:41  wrobell
- based on gaphor.spec

